Skip to content

Operations

The Operations API allows you to retrieve details on asynchronous governance operations. The URI for the Retrieve an operation request is found in the _links response of the governance API that initiate these asynchronous operations.

Retrieve an operation

Request

Beta
OAuth 2.0 scope:
  • okta.governance.operations.read
Admin roles:
  • ORG_ADMIN

Retrieves an operation and its status

Path
operationIdstringrequired

ID of the operation

GET
/governance/api/v1/operations/{operationId}
curl -i -X GET \
  'https://okta-subdomain.pixtulate.com/governance/api/v1/operations/{operationId}'

Responses

A successful response

Headers
Bodyapplication/json
idstring, non-emptyrequired

ID of the operation

typestring, non-emptyrequired

The operation type

statusstring(operation-status)required

The status of the operation

Enum ValueDescription
RUNNING

The operation was created and is currently in progress.

FAILED

The operation failed.

COMPLETED

The operation completed successfully.

CANCELED

The operation was canceled.

createdstring, (date-time)(operation-created)read-only

The ISO 8601 formatted date and time of when the operation was created

completedstring, (date-time)(operation-completed)read-only

The ISO 8601 formatted date and time of when the operation completed

timeElapsedInSecondsinteger, >= 0

Elapsed time since the start of the operation, in seconds

Response
{ "id": "cpa4r1gtPOqBal07j0g5", "type": "collection:principal:assignment", "status": "RUNNING", "created": "2026-01-09T01:25:04.000Z", "started": "2026-01-09T01:25:05.208Z", "completed": null, "timeElapsedInSeconds": 1, "_links": { "self": {} } }